com.sun.mail.imap

## Class AppendUID

- java.lang.Object
- - com.sun.mail.imap.AppendUID

-     public class AppendUID
      extends Object

  Information from the APPENDUID response code defined by the UIDPLUS extension - RFC 4315.
  Author:
    Bill Shannon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `uid`
    `long` | `uidvalidity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendUID(long uidvalidity, long uid)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uidvalidity

          public long uidvalidity

    - #### uid

          public long uid

  - ### Constructor Detail

    - #### AppendUID

          public AppendUID(long uidvalidity,
                   long uid)

Copyright © 2016 Oracle. All rights reserved.